#pragma once
#include "afxwin.h"


// demoSettingDlg 对话框

class demoSettingDlg : public CDialogEx
{
	DECLARE_DYNAMIC(demoSettingDlg)

public:
	demoSettingDlg(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~demoSettingDlg();

// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_SETTING_DIALOG };
#endif

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
    afx_msg void OnBnClickedButtonSetLanCode();
    afx_msg void OnBnClickedButtonGoConfig();
    afx_msg void OnBnClickedButtonGoEnableFeature();
    afx_msg void OnBnClickedButtonRename();
    afx_msg void OnBnClickedButtonEnablePair();
    afx_msg void OnBnClickedButtonSetWatermark();
    afx_msg void OnBnClickedButtonSetSavePath();
    afx_msg void OnBnClickedButtonShowMeetingWindow();
    afx_msg void OnBnClickedButtonGetAttendeelist();
    afx_msg void OnBnClickedButtonGetAudienceList();
    afx_msg void OnBnClickedButtonUpdateCustonButtonInfo();
    afx_msg void OnBnClickedButtonConfigSettingWindow();
    afx_msg void OnBnClickedButtonE2EE();
    afx_msg void OnBnClickedButtonShowSettingWindow();
    afx_msg void OnBnClickedButtonDisableVoicePrompts();
    afx_msg void OnBnClickedButtonSharePermission();
protected:
    CString m_customizedLangcode;
    int m_langCode;
public:
    afx_msg void OnBnClickedGetSavePath();
    afx_msg void OnBnClickedButtonSetLogPath();
    afx_msg void OnBnClickedButtonSetAnswerType();
    afx_msg void OnBnClickedButtonSetAvatarStyle();
    afx_msg void OnBnClickedButtonSubtitleSetting();
    afx_msg void OnBnClickedDefaultVirtualBackground();
};
